# Class CIM_WBEMServerCapabilities
extends CIM_EnabledLogicalElementCapabilities

WBEMServerCapabilities describes the capabilities supported for managing the assicated WBEM Server.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_WBEMServerCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | WBEMServerCapabilities describes the capabilities supported for managing the assicated WBEM Server.
UMLPackagePath | string | CIM::Interop::WBEMServer
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OperationsSupported | uint16[] |
Description | string | OperationsSupported describes the type of operations that are supported for the assoicated WBEMServer .
ValueMap | string | 2, 3, 4, 5, ..
Values | string | RequestStateChange, CreateWBEMServerNamespace, DeleteNamespace, ModifyNamespace, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods